InfoGrab DocsInfoGrab Docs

배포 API

GitLab 환경으로의 코드 배포를 관리하기 위한 API 엔드포인트를 설명합니다.

이 API를 사용하여 GitLab 환경으로의 코드 배포 를 관리합니다. 모든 프로젝트 배포 목록 # 프로젝트의 모든 배포를 나열합니다. GET /projects/:id/deployments 속성 유형 필수 설명 id integer 또는 string 예 프로젝트의 ID 또는 URL 인코딩된 경로 . order_by string 아니오 id , iid , created_at , updated_at , finished_at 필드 중 하나로 정렬된 배포를 반환합니다. 기본값은 id . sort string 아니오 asc 또는 desc 순서로 정렬된 배포를 반환합니다. 기본값은 asc . updated_after datetime 아니오 지정된 날짜 이후에 업데이트된 배포를 반환합니다. ISO 8601 형식 예상( 2019-03-15T08:00:00Z ). updated_before datetime 아니오 지정된 날짜 이전에 업데이트된 배포를 반환합니다. ISO 8601 형식 예상( 2019-03-15T08:00:00Z ). finished_after datetime 아니오 지정된 날짜 이후에 완료된 배포를 반환합니다. ISO 8601 형식 예상( 2019-03-15T08:00:00Z ). finished_before datetime 아니오 지정된 날짜 이전에 완료된 배포를 반환합니다. ISO 8601 형식 예상( 2019-03-15T08:00:00Z ). environment string 아니오 배포를 필터링할 환경의 이름 . status string 아니오 배포를 필터링할 상태. created , running , success , failed , canceled , skipped 또는 blocked 중 하나. curl --request "GET" \ --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/projects/1/deployments" 일부 필터, 정렬 순서, 상태는 특정 조합에서만 동작합니다. 다음과 같은 요청에는 API가 400 Bad Request 오류를 반환합니다. updated_after 또는 updated_before 로 필터링하면서 order_by=updated_at 을 설정하지 않는 경우. finished_after 또는 finished_before 로 필터링하면서 order_by=finished_at , status=success 중 하나 또는 둘 다 설정하지 않는 경우. order_by=finished_at 을 설정하면서 finished_after , finished_before 로 필터링하지 않거나 status 를 success , failed , canceled 중 하나로 설정하지 않는 경우. updated_after 또는 updated_before 를 finished_after 또는 finished_before 와 함께 사용하는 경우. 응답 예시: [ { "created_at" : "2016-08-